Subject: Re: linux-next: build warninga in Linus' tree

From: Greg KH <[email-masked]>
Date: Fri, 3 Jun 2011 22:16:28 +0900

On Fri, Jun 03, 2011 at 01:10:49PM +0200, David Sterba wrote:
> On Wed, Jun 01, 2011 at 10:16:48AM -0500, Mitch Harder wrote:
> > I've been playing around with resurrecting the basic sysfs
> > capabilities that had been previously incorporated into btrfs.
> > 
> > As it stands right now, it was relatively easy to re-implement sysfs
> > as it was originally.  However, that implementation of sysfs wasn't
> > populated with much information (only total_blocks, blocks_used, and
> > blocksize).
> 
> Goffredo Baroncelli (CCed) posted a patch to enhance sysfs interface:
> 
> https://patchwork.kernel.org/patch/308902/
> (http://www.spinics.net/lists/linux-btrfs/msg06777.html)
> 
> > I also had to reverse a small portion of code that was in the last
> > clean-up.
> 
> Restoring the code should not be a problem, the cleanup was too eager
> and I think a sysfs inteface would be good, not only for debugging
> purposes or tuning.
> 
> > If a CONFIG_BTRFS_DEBUG type configuration flag is ever introduced, it
> > would be interesting to resurrect btrfs' sysfs capabilities.
> 
> Hearing about CONFIG_BTRFS_DEBUG again, seems worth to add it.

For debugging stuff, please use debugfs instead of sysfs, as that is
what it is there for.

thanks,

greg k-h